<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.logging.logging-profile.custom-handler" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="class,enabled,encoding,filter-spec,formatter,level,module,named-formatter,properties"/>
        <elem name="addr-params" value="profile,subsystem,logging-profile,custom-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.logging.handler.$logging-profile.$custom-handler"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.logging.filter.$filter-spec" optional="true"/>
        <capability name="$profile.org.wildfly.logging.formatter.$named-formatter" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging.logging-profile"/>
        <ref feature="subsystem.logging"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="filter-spec" nillable="true" stability="default"/>
        <param name="level" nillable="true" stability="default"/>
        <param name="module" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="encoding" nillable="true" stability="default"/>
        <param name="enabled" nillable="true" stability="default"/>
        <param name="logging-profile" feature-id="true"/>
        <param name="formatter" nillable="true" stability="default"/>
        <param name="named-formatter" nillable="true" stability="default"/>
        <param name="class" stability="default"/>
        <param name="custom-handler" feature-id="true"/>
        <param name="properties" nillable="true" stability="default"/>
    </params>
</feature-spec>